Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1043286 - SELinux is preventing /usr/sbin/NetworkManager from 'unlink' accesses on the file /etc/resolv.conf.
Summary: SELinux is preventing /usr/sbin/NetworkManager from 'unlink' accesses on the ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b027870cdaf6dd423b3c17b7fe7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-15 17:18 UTC by Ronaldo Tiou
Modified: 2013-12-16 10:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-16 10:05:15 UTC
Type: ---


Attachments (Terms of Use)

Description Ronaldo Tiou 2013-12-15 17:18:59 UTC
Description of problem:
SELinux is preventing /usr/sbin/NetworkManager from 'unlink' accesses on the file /etc/resolv.conf.

*****  Plugin restorecon (99.5 confidence) suggests  *************************

If você deseja reparar este rótulo.
/etc/resolv.conf rótulo padrão deve ser net_conf_t.
Then você pode executar o restorecon.
Do
# /sbin/restorecon -v /etc/resolv.conf

*****  Plugin catchall (1.49 confidence) suggests  ***************************

If você acredita que o NetworkManager deva ser permitido acesso de unlink em resolv.conf file  por default.
Then você precisa reportar este como um erro.
Você pode gerar um módulo de política local para permitir este acesso.
Do
permitir este acesso agora executando:
# grep NetworkManager /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:NetworkManager_t:s0
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                /etc/resolv.conf [ file ]
Source                        NetworkManager
Source Path                   /usr/sbin/NetworkManager
Port                          <Desconhecido>
Host                          (removed)
Source RPM Packages           NetworkManager-0.9.8.8-2.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-74.15.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.10-200.fc19.x86_64 #1 SMP Mon
                              Dec 2 20:28:03 UTC 2013 x86_64 x86_64
Alert Count                   42
First Seen                    2013-12-09 21:28:05 BRST
Last Seen                     2013-12-15 18:15:29 BRST
Local ID                      144ff286-fa6c-4cd1-af6b-b3e8fd534a4a

Raw Audit Messages
type=AVC msg=audit(1387138529.521:551): avc:  denied  { unlink } for  pid=603 comm="NetworkManager" name="resolv.conf" dev="dm-1" ino=1189450 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file


type=SYSCALL msg=audit(1387138529.521:551): arch=x86_64 syscall=rename success=no exit=EACCES a0=7fa127561b50 a1=7fa127530bc0 a2=7fa1219a87d8 a3=2d items=0 ppid=1 pid=603 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=NetworkManager exe=/usr/sbin/NetworkManager subj=system_u:system_r:NetworkManager_t:s0 key=(null)

Hash: NetworkManager,NetworkManager_t,user_home_t,file,unlink

Additional info:
reporter:       libreport-2.1.9
hashmarkername: setroubleshoot
kernel:         3.11.10-200.fc19.x86_64
type:           libreport

Potential duplicate: bug 736215

Comment 1 Miroslav Grepl 2013-12-16 10:05:15 UTC
*****  Plugin restorecon (99.5 confidence) suggests  *************************

If você deseja reparar este rótulo.
/etc/resolv.conf rótulo padrão deve ser net_conf_t.
Then você pode executar o restorecon.
Do

# /sbin/restorecon -v /etc/resolv.conf


Note You need to log in before you can comment on or make changes to this bug.